JUCE: juce::dsp::ProcessorWrapper< ProcessorType > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::ProcessorWrapper< ProcessorType > Struct Template Reference
juce_dsp » processors

Wraps an instance of a given processor class, and exposes it through the ProcessorBase interface. More...

`#include <juce_ProcessorWrapper.h>`

Inheritance diagram for juce::dsp::ProcessorWrapper< ProcessorType >:

## Public Member Functions
void | prepare (const ProcessSpec &spec) override
void | process (const ProcessContextReplacing< float > &context) override
void | reset () override
Public Member Functions inherited from juce::dsp::ProcessorBase
| ProcessorBase ()=default
virtual | ~ProcessorBase ()=default

## Public Attributes
ProcessorType | processor

## Detailed Description

template<typename ProcessorType>
struct juce::dsp::ProcessorWrapper< ProcessorType >

Wraps an instance of a given processor class, and exposes it through the ProcessorBase interface.

See also
  ProcessorBase

## Member Function Documentation

## ◆ prepare()

template<typename ProcessorType >

void juce::dsp::ProcessorWrapper< ProcessorType >::prepare | ( | const ProcessSpec & | spec | ) |
| overridevirtual

Implements juce::dsp::ProcessorBase.

References juce::dsp::ProcessorWrapper< ProcessorType >::processor.

## ◆ process()

template<typename ProcessorType >

void juce::dsp::ProcessorWrapper< ProcessorType >::process | ( | const ProcessContextReplacing< float > & | context | ) |
| overridevirtual

Implements juce::dsp::ProcessorBase.

References juce::dsp::ProcessorWrapper< ProcessorType >::processor.

## ◆ reset()

template<typename ProcessorType >

void juce::dsp::ProcessorWrapper< ProcessorType >::reset | ( |  | ) |
| overridevirtual

Implements juce::dsp::ProcessorBase.

References juce::dsp::ProcessorWrapper< ProcessorType >::processor.

## Member Data Documentation

## ◆ processor

template<typename ProcessorType >

ProcessorType juce::dsp::ProcessorWrapper< ProcessorType >::processor

Referenced by juce::dsp::ProcessorWrapper< ProcessorType >::prepare(), juce::dsp::ProcessorWrapper< ProcessorType >::process(), and juce::dsp::ProcessorWrapper< ProcessorType >::reset().

The documentation for this struct was generated from the following file:

- juce_ProcessorWrapper.h